org.apache.flume.instrumentation

## Class SinkProcessorCounter

- java.lang.Object
- - org.apache.flume.instrumentation.MonitoredCounterGroup
  - - org.apache.flume.instrumentation.SinkProcessorCounter

-     public class SinkProcessorCounter
      extends MonitoredCounterGroup

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.flume.instrumentation.MonitoredCounterGroup

      `MonitoredCounterGroup.Type`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SinkProcessorCounter(String name)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.flume.instrumentation.MonitoredCounterGroup

      `addAndGet, get, getStartTime, getStopTime, getType, increment, set, start, stop, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SinkProcessorCounter

          protected SinkProcessorCounter(String name)

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.